Subject: Re: [bess] Question on split horizon label for EVPN VPWS Multi homing

From: gangadhara reddy chavva <[email-masked]>
Date: Mon, 13 May 2019 16:09:22 +0530

>
> Hi,
>
> section 3.1 of EVPN VPWS rfc 8214 specify's the usage of EAD per ES route
> and ESI label extended community for EVPN VPWS. it is not very clear on
> what should sender fill in the ESI label field for EVPN VPWS multi homing.
> as there is no concept of flooding and split horizon procedures are not
> applicable for VPWS. please clarify on this.
>
> Regards,
> Gangadhar
>

---

From: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>
Date: Mon, 13 May 2019 14:57:31 +0000

Hi,

Remember that the same ES can be shared by Eline, ELAN, Etree and other EVPN services, in which you still need the ESI label. So I would follow RFC7432 for this.
On reception a PE should ignore the ESI label value if only EVPN VPWS services are running.

As a side note, this document is trying to clarify that the ESI label may be zero if no ESI-label based split-horizon is used:
https://tools.ietf.org/html/draft-nr-bess-evpn-mh-split-horizon-00

Thx
Jorge

From: BESS <[email-masked]> on behalf of gangadhara reddy chavva <[email-masked]>
Date: Monday, May 13, 2019 at 12:39 PM
To: "[email-masked]" <[email-masked]>
Subject: Re: [bess] Question on split horizon label for EVPN VPWS Multi homing

Hi,

section 3.1 of EVPN VPWS rfc 8214 specify's the usage of EAD per ES route and ESI label extended community for EVPN VPWS. it is not very clear on what should sender fill in the ESI label field for EVPN VPWS multi homing. as there is no concept of flooding and split horizon procedures are not applicable for VPWS.. please clarify on this.

Regards,
Gangadhar

---

From: gangadhara reddy chavva <[email-masked]>
Date: Mon, 20 May 2019 11:30:55 +0530

HI Jorge,

Thanks for the quick reply.

Regards,
Gangadhar

On Mon, May 13, 2019 at 8:27 PM Rabadan, Jorge (Nokia - US/Mountain View) <
[email-masked]> wrote:

> Hi,
>
>
>
> Remember that the same ES can be shared by Eline, ELAN, Etree and other
> EVPN services, in which you still need the ESI label. So I would follow
> RFC7432 for this.
>
> As a side note, this document is trying to clarify that the ESI label may
> be zero if no ESI-label based split-horizon is used:
>
> *From: *BESS <[email-masked]> on behalf of gangadhara reddy chavva
> <[email-masked]>
> *Date: *Monday, May 13, 2019 at 12:39 PM
> *To: *"[email-masked]" <[email-masked]>
> *Subject: *Re: [bess] Question on split horizon label for EVPN VPWS Multi
> homing
>
>
>
> Hi,
>
>
>
> applicable for VPWS.. please clarify on this.
>
>
>
> Regards,
>
> Gangadhar
>
>